@import "@/styles/variables";

.toast {
    position: fixed;
    top: 14.5rem;
    right: $padding-sm;
    background: $white;
    box-shadow: 0 2px 6px rgb(0 0 0 / 20%);
    border-radius: 4px;
    animation: slide-in 0.5s ease;
    z-index: 1000;
    width: calc(100vw - 2 * $padding-sm);
    height: calc(fit-content + 1rem);
    padding: $padding-sm;
    font-size: 1rem;

    @include tablet {
        width: 26rem;
    }

    @include desktop {
        right: calc((100vw / 12) - $padding-sm);
    }

    a {
        text-decoration: none;
    }

    &__header {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: flex-start;
        gap: 0.75rem;
        color: $secondary-color;
        font-weight: 700;
        line-height: 120%;

        svg {
            fill: #5296d5;
            width: 1.25rem;
            padding-top: 0.1rem;

            &:not(:first-of-type) {
                @include notebook {
                    margin-left: 1.5rem;
                }
            }
        }
    }

    &__header-content {
        display: flex;
        gap: 0.75rem;
        align-items: center;
    }

    &__ctaDescription {
        padding: 0.5rem 2rem 0;
        color: $primary-color-light;
    }

    &__closeButton {
        background-color: transparent;
        border: none;
        cursor: pointer;
        font-weight: bold;
        color: $gray-light;
        font-size: 1.5rem;
        justify-self: end;
        line-height: 100%;
        text-transform: capitalize;

        &:hover {
            color: $red-300;
        }
    }
}

@keyframes slide-in {
    from {
        transform: translateX(100%);
    }

    to {
        transform: translateX(0);
    }
}
